@keyframes moveInLeft {
  0% {
    opacity: 0;
    transform: translateX(-15rem);
  }
  80% {
    transform: translateX(1.5rem);
  }
  100% {
    opacity: 1;
    transform: translateX(0);
  }
}
@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
@keyframes popup {
  0% {
    transform: translateX(100%);
  }
  100% {
    transform: translateX(0);
  }
}
*,
::before,
::after {
  padding: 0;
  margin: 0;
  box-sizing: inherit;
}

html {
  font-size: 62.5%;
  box-sizing: border-box;
}

body {
  font-family: "Nunito", sans-serif;
  font-weight: 300;
  line-height: 1.6;
  position: relative;
}

.container {
  position: relative;
  z-index: 1;
  margin: 3rem;
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 100vh repeat(6, min-content);
  transition: all 0.3s;
}

.hidden {
  display: none !important;
}

.section__container {
  transition: transform 1s, opacity 1s;
}

.section--hidden {
  opacity: 0;
  transform: translateY(8rem);
}

.hidden {
  display: none;
  visibility: hidden;
}

@media (max-width: 56.25em) {
  html {
    font-size: 55%;
  }
}
@media (max-width: 37.5em) {
  html {
    font-size: 40%;
  }
  .container {
    grid-template-rows: 50vh repeat(6, min-content);
  }
}
.heading-2 {
  font-size: 4rem;
  color: #8a4a28;
}

.heading-1 {
  font-size: 10rem;
  color: #8a4a28;
  letter-spacing: 2rem;
}

.heading-3 {
  font-size: 2.5rem;
}
.heading-3--light {
  color: #f2e1d3;
}
.heading-3--dark {
  color: #8a4a28;
}

.heading-5 {
  font-weight: 700;
  font-size: 1.8rem;
}
.heading-5--light {
  color: #f2e1d3;
}
.heading-5--dark {
  color: #8a4a28;
}

.heading-sub {
  color: #8a4a28;
  margin: -0.5rem;
  margin-left: 0.2rem;
  font-size: 1.2rem;
}

.u-margin-bottom-huge {
  margin-bottom: 8rem;
}

.u-margin-bottom-huge {
  margin-bottom: 6rem;
}

.u-margin-bottom-medium {
  margin-bottom: 4rem;
}

.u-margin-bottom-small {
  margin-bottom: 2rem;
}

.u-margin-bottom-tiny {
  margin-bottom: 1rem;
}

.section--about {
  grid-column: 1/-1;
  grid-row: 2/3;
  background-color: #2a4f50;
}

.about {
  padding: 10rem;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: min-content min-content;
  align-items: center;
  justify-items: center;
}
.about__picture-box {
  grid-column: 1/2;
  grid-row: 2/3;
}
.about__picture {
  width: 80%;
}
.about__introduction {
  grid-column: 2/3;
  grid-row: 2/3;
}
.about__text {
  font-size: 1.4rem;
  color: #f2e1d3;
}

@media (max-width: 37.5em) {
  .about {
    padding: 5rem;
  }
  .about__picture {
    width: 50%;
  }
  .about__picture-box {
    grid-column: 1/3;
    grid-row: 2/3;
  }
  .about__introduction {
    grid-column: 1/3;
    grid-row: 3/4;
  }
}
.btn, .btn:link, .btn:visited {
  font-size: 1.4rem;
  padding: 1rem 3rem;
  border-radius: 10rem;
  text-transform: uppercase;
  text-decoration: none;
  text-align: center;
  color: #f2e1d3;
  background-color: #686130;
  transition: all 0.2s;
  display: inline-block;
  border: none;
  cursor: pointer;
}
.btn:hover {
  transform: translateY(-0.3rem);
  box-shadow: 0 1rem 2rem rgba(0, 0, 0, 0.2);
}
.btn:active {
  transform: translateY(-0.1rem);
  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.2);
}

.btn--small, .btn--small:link, .btn--small:visited {
  font-size: 1.2rem;
  padding: 0.8rem 2rem;
  margin: 0rem 0.4rem;
  margin-top: 1.5rem;
  font-weight: 700;
  background-color: #f2e1d3;
  color: #686130;
}

.btn--disabled {
  color: #b8b798;
  text-decoration: line-through;
}
.btn--disabled:hover, .btn--disabled:active {
  transform: none;
  box-shadow: none;
}

.section--contact {
  grid-column: 1/-1;
  grid-row: 5/6;
  background-color: #ecbe9b;
  padding: 10rem;
}

.contact {
  display: grid;
  grid-template-columns: 2fr 1fr;
  grid-template-rows: min-content min-content;
  grid-column-gap: 4rem;
}
.contact__form-box {
  grid-column: 1/2;
  grid-row: 2/3;
}
.contact__form {
  width: 90%;
  display: grid;
  grid-template-columns: 1fr 1fr;
}
.contact__group {
  margin: 0.7rem 0;
}
.contact__group--subject, .contact__group--message {
  grid-column: 1/-1;
}
.contact__error {
  margin-left: 2rem;
  margin-top: 0.5rem;
  font-size: 1.2rem;
  color: red;
}
.contact__input {
  display: block;
  width: 90%;
  padding: 1rem 2rem 0.5rem 2rem;
  font-size: 1.2rem;
  font-family: "Nunito", sans-serif;
  border: none;
  border-bottom: 3px solid transparent;
  border-radius: 1rem;
  background-color: #f2e1d3;
  color: #8a4a28;
  transition: all 0.3s;
}
.contact__input--lg {
  width: 95%;
}
.contact__input:hover {
  box-shadow: 0 0.5rem 1rem rgba(138, 74, 40, 0.2);
}
.contact__input:focus {
  outline: none;
  border-bottom: 2.5px solid #8a4a28;
  box-shadow: 0 0.5rem 1rem rgba(138, 74, 40, 0.2);
}
.contact__input::placeholder {
  color: #8a4a28;
  font-family: "Nunito", sans-serif;
}
.contact__input:focus::placeholder {
  display: none;
}
.contact__btn {
  margin-top: 1.2rem;
  padding: 1rem 2.5rem;
  background-color: #8a4a28;
  color: #f2e1d3;
  border: none;
  border-radius: 10rem;
  font-size: 1.4rem;
  font-family: "Nunito", sans-serif;
  text-transform: uppercase;
  text-align: center;
  display: inline-block;
  transition: all 0.2s;
  justify-self: start;
  cursor: pointer;
}
.contact__btn:hover {
  transform: translateY(-0.3rem);
  box-shadow: 0 1rem 2rem rgba(138, 74, 40, 0.2);
}
.contact__btn:active {
  transform: translateY(-0.1rem);
  box-shadow: 0 0.5rem 1rem rgba(138, 74, 40, 0.2);
}
.contact__details {
  grid-column: 2/3;
  grid-row: 2/3;
}
.contact__info-box {
  display: grid;
  grid-template-columns: max-content max-content 1fr;
  grid-template-rows: min-content min-content;
  align-items: center;
  grid-column-gap: 3rem;
  grid-row-gap: 1.7rem;
}
.contact__icon {
  height: 3rem;
  width: 3rem;
  fill: #8a4a28;
  grid-row: 1/2;
  grid-column: 1/2;
}
.contact__info {
  grid-row: 1/2;
  grid-column: 3/4;
}
.contact__text {
  margin-top: -0.5rem;
  font-size: 1.4rem;
  font-weight: 400;
  color: #8a4a28;
}

@media (max-width: 37.5em) {
  .section--contact {
    padding: 5rem;
  }
  .contact {
    grid-template-columns: 1fr;
    grid-template-rows: min-content;
  }
  .contact__form-box {
    grid-column: 1/2;
    grid-row: 2/3;
  }
  .contact__form {
    width: 100%;
  }
  .contact__details {
    margin-top: 6rem;
    grid-column: 1/2;
    grid-row: 3/4;
  }
}
.divider {
  width: 100%;
  padding-bottom: 6rem;
  grid-column: 1/-1;
  grid-row: 1/2;
  display: grid;
  grid-template-columns: 4rem max-content 1fr;
  grid-column-gap: 2rem;
  justify-self: start;
  align-items: center;
}
.divider__dot {
  width: 80%;
  grid-column: 1/2;
  margin-right: 3rem;
}
.divider__title {
  grid-column: 2/3;
  font-size: 1.8rem;
  font-weight: 400;
  text-transform: uppercase;
  letter-spacing: 0.5rem;
}
.divider__title--primary-light {
  color: #f2e1d3;
}
.divider__title--primary-dark {
  color: #8a4a28;
}
.divider__title--secondary {
  color: #686130;
}
.divider__line {
  grid-column: 3/4;
  width: 100%;
  height: 1px;
}
.divider__line--primary-light {
  background-color: #f2e1d3;
}
.divider__line--primary-dark {
  background-color: #8a4a28;
}
.divider__line--secondary {
  background-color: #686130;
}

.section--experience {
  grid-row: 3/4;
  grid-column: 1/-1;
  padding: 10rem;
  background-color: #f2e1d3;
}

.experience {
  display: grid;
  grid-template-columns: 0.7fr 0.1fr 1fr;
  grid-template-rows: repeat(4, min-context);
  justify-items: start;
  align-items: center;
}
.experience__work-img, .experience__education-img {
  margin-left: 10%;
  width: 60%;
}
.experience__education-img {
  grid-row: 2/3;
  grid-column: 1/2;
  margin-bottom: 5rem;
}
.experience__education-description {
  grid-row: 2/3;
  grid-column: 3/4;
  margin-bottom: 5rem;
}
.experience__work-img {
  grid-row: 4/5;
  grid-column: 1/2;
}
.experience__work-description {
  grid-row: 4/5;
  grid-column: 3/4;
  padding-right: 10rem;
}
.experience__date {
  margin-bottom: 1rem;
  color: #8a4a28;
}
.experience__school-name--sub {
  font-weight: 400;
  font-size: 1.4rem;
  color: #8a4a28;
}
.experience__school-name--main {
  font-weight: 600;
  font-size: 1.6rem;
  color: #8a4a28;
}
.experience__company-name {
  font-weight: 600;
  font-size: 1.6rem;
  color: #8a4a28;
}
.experience__work-details {
  font-size: 1.4rem;
  color: #8a4a28;
  font-weight: 400;
}

@media (max-width: 68.75em) {
  .section--experience {
    padding: 5rem;
  }
  .experience {
    grid-template-columns: 0.5fr 0.05fr 1.5fr;
  }
  .experience__work-img, .experience__education-img {
    margin-left: 0;
    width: 80%;
  }
  .experience__work-description {
    padding-right: 0;
  }
}
.load {
  background-color: #f2e1d3;
  margin: 3rem;
  height: calc(100vh - 6rem);
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all 0.3s;
}
.load__icon {
  height: 5rem;
  width: 5rem;
  fill: #8a4a28;
  animation: spin 1.5s linear infinite;
}

#popup-container {
  position: fixed;
  bottom: 3rem;
  right: 3rem;
  z-index: 1999;
  width: 20rem;
  animation: popup 0.6s;
}

.popup {
  font-size: 1.4rem;
  color: white;
  padding: 1rem 2rem;
  background-color: #8a4a28;
}

.section--works {
  grid-column: 1/-1;
  grid-row: 4/5;
  background-color: #b8b798;
  padding: 10rem;
}

.works {
  display: grid;
  grid-template-rows: repeat(3, min-content);
}
.works__grid {
  grid-row: 2/3;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
  grid-gap: 3rem;
}
.works__box {
  height: 25rem;
  overflow: hidden;
  border-radius: 1rem;
  position: relative;
  cursor: pointer;
  box-shadow: 0 1rem 2rem rgba(104, 97, 48, 0.5);
  transition: all 0.5s;
}
.works__box:hover {
  box-shadow: 0 2rem 3rem rgba(104, 97, 48, 0.5);
}
.works__img {
  height: 100%;
  width: 100%;
  object-fit: cover;
  display: block;
  transition: all 0.5s;
}
.works__box:hover .works__img {
  filter: blur(2px);
  transform: scale(1.05);
}
.works__box:hover .works__details {
  opacity: 1;
  background-color: rgba(104, 97, 48, 0.8);
  display: block;
}
.works__box:hover .works__details .works__description, .works__box:hover .works__details .works__title, .works__box:hover .works__details .works__tags, .works__box:hover .works__details .works__links {
  transform: translateY(0);
}
.works__details {
  display: block;
  text-align: center;
  width: 102%;
  height: 102%;
  padding: 15%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 5;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  transition: all 0.5s;
  opacity: 0;
}
.works__description {
  font-size: 1.5rem;
  color: #f2e1d3;
  transform: translateY(3rem);
  transition: all 0.5s;
}
.works__title {
  font-weight: 700;
  font-size: 2.5rem;
  color: #f2e1d3;
  margin-bottom: 0.7rem;
  transform: translateY(0rem);
  transition: all 0.5s;
}
.works__tags {
  font-size: 1.2rem;
  font-weight: 700;
  position: absolute;
  top: 0rem;
  left: 2rem;
  color: #686130;
  background-color: #f2e1d3;
  border-radius: 0 0 2rem 2rem;
  padding: 1rem 2rem 0.6rem;
  transform: translateY(-3rem);
  transition: all 0.5s;
}
.works__btn-grid {
  margin-top: 6rem;
  justify-self: center;
  display: grid;
  grid-gap: 4rem;
}
.works__btn--more {
  grid-row: 1/1;
  grid-column: 1/2;
}
.works__btn--less {
  grid-row: 1/1;
  grid-column: 2/3;
}
.works__links {
  transform: translateY(3rem);
  transition: all 0.5s;
}

@media (min-width: 87.5em) {
  .works__grid {
    grid-template-columns: repeat(auto-fit, minmax(40rem, 1fr));
  }
}
@media (min-width: 75em) {
  .works__title {
    font-size: 2rem;
    margin-bottom: 0.5rem;
  }
}
@media (max-width: 37.5em) {
  .works__box {
    height: 40vw;
  }
  .works__btn-grid {
    grid-gap: 2rem;
  }
}
.header {
  background-image: linear-gradient(to bottom, #f2e1d3 80%, #2a4f50 20%);
  grid-column: 1/-1;
  grid-row: 1/2;
  position: relative;
  z-index: -2;
}
.header__logo {
  height: 5rem;
  width: 5rem;
  position: absolute;
  top: 3rem;
  left: 3.5rem;
}
.header__img {
  display: inline-block;
  height: 85vh;
  width: 100%;
  background-size: cover;
  position: absolute;
  bottom: -1rem;
  left: 0;
  z-index: -1;
}
.header__text-box {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: relative;
  top: 26%;
}
.header__img {
  margin-bottom: -11rem;
}
.header__icons {
  display: flex;
  align-items: center;
  margin-top: -2rem;
  margin-left: 4rem;
  z-index: 10;
}
.header__icon {
  height: 1.7rem;
  width: 1.7rem;
  fill: #8a4a28;
  transition: all 0.2s;
  margin-right: 4rem;
}
.header__icon:hover {
  transform: translateY(-3px) scale(1.5);
}

.animate {
  animation: moveInLeft 0.8s ease-out;
}

@media (max-width: 87.5em) {
  .header__img {
    height: 70vh;
  }
}
@media (max-width: 50em) {
  .header__img {
    height: 50vh;
  }
}
@media (max-width: 37.5em) {
  .header__img {
    height: 40vh;
  }
  .header__logo {
    height: 4rem;
    width: 4rem;
    position: absolute;
    top: 2rem;
    left: 2.5rem;
  }
}
.footer {
  position: relative;
  height: 25vh;
  background-color: #ecbe9b;
  background-size: cover;
  grid-column: 1/-1;
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
}
.footer__content {
  position: absolute;
  bottom: 2rem;
  z-index: 10;
}
.footer__copyright {
  margin-top: 1rem;
  font-size: 1.4rem;
  color: #f2e1d3;
  display: block;
  z-index: 10;
}
.footer__img {
  width: 100%;
  position: absolute;
  left: 0;
  bottom: 0;
  z-index: 5;
}
.footer__icons {
  display: flex;
  align-items: center;
  margin-top: -2rem;
  margin-left: 2.2rem;
  z-index: 10;
}
.footer__icon {
  height: 1.7rem;
  width: 1.7rem;
  fill: #f2e1d3;
  transition: all 0.2s;
  margin-right: 2.2rem;
}
.footer__icon:hover {
  transform: translateY(-3px) scale(1.5);
}

.navigation {
  position: relative;
}
.navigation__checkbox {
  display: none;
}
.navigation__btn {
  position: fixed;
  top: 5rem;
  right: 5rem;
  height: 6rem;
  width: 6rem;
  background-color: #8a4a28;
  border-radius: 50%;
  text-align: center;
  box-shadow: 0 1rem 2rem rgba(138, 74, 40, 0.3);
  z-index: 20;
  cursor: pointer;
}
.navigation__icon {
  margin-top: 3rem;
  position: relative;
}
.navigation__icon, .navigation__icon::before, .navigation__icon::after {
  display: inline-block;
  height: 2px;
  width: 3rem;
  background-color: #f2e1d3;
}
.navigation__icon::before, .navigation__icon::after {
  content: "";
  position: absolute;
  left: 0;
  transition: all 0.2s;
}
.navigation__icon::before {
  transform: translateY(-0.8rem);
}
.navigation__icon::after {
  transform: translateY(0.8rem);
}
.navigation__btn:hover .navigation__icon::before {
  transform: translateY(-1.1rem);
}
.navigation__btn:hover .navigation__icon::after {
  transform: translateY(1.1rem);
}
.navigation__background {
  position: fixed;
  top: 5.5rem;
  right: 5.5rem;
  height: 5rem;
  width: 5rem;
  background-color: #f2e1d3;
  border-radius: 50%;
  z-index: 10;
  background-image: radial-gradient(#f2e1d3, #8a4a28);
  transition: all 0.5s cubic-bezier(0.83, 0, 0.17, 1);
}
.navigation__nav {
  height: 0vh;
  width: 0;
  position: fixed;
  top: 0;
  right: 0;
  transition: all 1s cubic-bezier(0.34, 1.56, 0.64, 1);
  z-index: 15;
  opacity: 0;
  font-size: 0.5rem;
}
.navigation__list {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  list-style: none;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.navigation__item {
  margin: 0.5rem;
}
.navigation__link, .navigation__link:link, .navigation__link:visited {
  display: inline-block;
  text-decoration: none;
  text-transform: uppercase;
  color: #8a4a28;
  letter-spacing: 0.2rem;
  padding: 1.2rem 2.5rem;
  transition: all 0.2s ease-in;
  background-image: linear-gradient(120deg, transparent 0%, transparent 50%, #8a4a28 50%);
  background-size: 250%;
}
.navigation__link:hover, .navigation__link:active {
  background-position: 100%;
  color: #f2e1d3;
  transform: translateX(1rem);
}
.navigation__checkbox:checked ~ .navigation__nav {
  width: 100%;
  height: 100vh;
  opacity: 1;
  font-size: 3rem;
}
.navigation__checkbox:checked ~ .navigation__background {
  transform: scale(85);
}
.navigation__checkbox:checked ~ .navigation__btn .navigation__icon {
  background-color: transparent;
}
.navigation__checkbox:checked ~ .navigation__btn .navigation__icon::before {
  top: 0;
  transform: rotate(135deg);
}
.navigation__checkbox:checked ~ .navigation__btn .navigation__icon::after {
  top: 0;
  transform: rotate(-135deg);
}

@media (max-width: 37.5em) {
  .navigation__btn {
    top: 5rem;
    right: 5rem;
    height: 4rem;
    width: 4rem;
  }
  .navigation__background {
    top: 5.5rem;
    right: 5.5rem;
    height: 2.5rem;
    width: 2.5rem;
  }
  .navigation__icon {
    margin-top: 1.75rem;
  }
  .navigation__icon, .navigation__icon::before, .navigation__icon::after {
    height: 2px;
    width: 2rem;
  }
  .navigation__checkbox:checked ~ .navigation__background {
    transform: scale(120);
  }
  .navigation__link, .navigation__link:link, .navigation__link:visited {
    padding: 1.2rem 0rem;
    font-size: 1.5rem;
  }
}
